Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.config
Class KernelConfigFactory

    java.lang.Object
      org.jboss.kernel.plugins.config.KernelConfigFactory

public class KernelConfigFactory
extends Object

Implementation of the Factory design pattern used in constructing new instances of `KernelConfig` objects based on various configuration sources.

Version:
  `$Revision: 1.3 $`
Author:
  Les A. Hazlewood

Constructor Summary
`KernelConfigFactory()`

Method Summary
`static KernelConfig` | `newInstance()` Constructs a new KernelConfig instance based on the System properties.
`static KernelConfig` | `newInstance(Properties props)` Constructs a new `KernelConfig` instance based on the specified `Properties`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelConfigFactory

    public KernelConfigFactory()

Method Detail

### newInstance

    public static KernelConfig newInstance()

  Constructs a new KernelConfig instance based on the System properties.

  If any necessary KernelConfig properties are not found in the System properties, sensible default implementations for the missing properties will be used.

  Returns:
    a new `KernelConfig` instance based on the System properties.
  See Also:
    `System.getProperties()`, `newInstance(Properties)`

### newInstance

    public static KernelConfig newInstance(Properties props)

  Constructs a new `KernelConfig` instance based on the specified `Properties`.

  If any necessary KernelConfig properties are not found in the given properties, sensible default implementations for the missing properties will be used.

  Parameters:
    `props` - the properties to use when creating a new `KernelConfig` instance.
  Returns:
    a new `KernelConfig` instance based on the specified `Properties`
  See Also:
    `PropertyKernelConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.